{{define "trades"}}

{{template "layout-top" .}}

<section class="feeds no-padding-top">
  <div class="container-fluid">
    <div class="row">
      <div class="container-fluid">

        <div class="col-sm-5">
          <div class="form-group row">
            <form method="GET" action="/trades">
              <label for="asset">Tradingstory auswählen</label>
              {{$tradingstoryId := .TradingstoryID}}
              <select name="asset" id="asset" class="form-control mb-3" onchange="OnChange(this.form.asset);">
                  <option value="">Bitte wählen ...</option> 
                  {{range .Tradingstories}}
                  {{ if (eq $tradingstoryId .ID) }}
                  <option value="{{.ID}}" selected>{{.Name}}</option>
                  {{ else }}
                  <option value="{{.ID}}">{{.Name}}</option>
                  {{ end }}
                {{end}}
              </select>
            </form>
          </div>
        </div>

        {{ if .Trades }}

          {{range .Trades}}

          <div class="project">
              <div class="row bg-white has-shadow" style="
                {{ if gt .CurrentPerformance 0.0 }}
                  border-left: solid 5px #41C60C;
                {{ else }} 
                  border-left: solid 5px red;
                {{ end }}

                {{ if and .SellDate.Valid (gt .CurrentPerformance 0.0) }}
                  background-color: #f0ffef !important;
                {{ end }}

                {{ if and .SellDate.Valid (lt .CurrentPerformance 0.0) }}
                  background-color: #fff5f2 !important;
                {{ end }}

                {{ if and .SellDate.Valid (eq .CurrentPerformance 0.0) }}
                  background-color: #fff5f2 !important;
                {{ end }}
                ">
                <div class="left-col col-lg-5 d-flex align-items-center justify-content-between">
                  <div class="project-title d-flex align-items-center">
                    <div class="text">
                      <h3 class="h4">
                        {{.AssetName.Value}} ({{.AssetSymbol.Value}})
                      </h3>
                      <small style="color: black;">
                        Buy Reason: {{.BuyReason.Value}}
                      </small>
                      {{ if and .SellReason.Valid }}
                        <br>
                        <small style="color: black;">
                          Sell Reason: {{.SellReason.Value}}
                        </small>
                      {{end}}
                    </div>
                  </div>
                  <div class="project-date">
                    <span class="hidden-sm-down">Kaufkurs: <strong>{{.BuyPrice.Value}} €</strong></span>
                    <br>
                    {{ if and .SellPrice.Valid }}
                    <span class="hidden-sm-down">Verkaufskurs: <strong>{{.SellPrice.Value}} €</strong></span>
                    {{else}}
                    <span class="hidden-sm-down">Aktueller Kurs: <strong>{{.CurrentPrice}} €</strong></span>
                    {{end}}
                    <br>
                    {{ if or (gt .CurrentPerformance 0.0) (eq .CurrentPerformance 0.0) }}
                    <span class="hidden-sm-down">Performance: <strong style="color: #41C60C;">{{.CurrentPerformance}}%</strong></span>
                    {{else}}
                    <span class="hidden-sm-down">Performance: <strong style="color: red;">{{.CurrentPerformance}}%</strong></span>
                    {{end}}
                  </div>
                </div>
                <div class="col-lg-3 d-flex align-items-center">
                  <div class="time">
                    <small><i class="fa fa-clock-o"></i>{{ if and .BuyDate.Valid }}Kauf:
                      {{.BuyDate.Time.Format "02.01.2006 15:04"}} {{else}}Kauf: n/a{{end}}</small>
                    <br>
                    <small><i class="fa fa-clock-o"></i>{{ if and .SellDate.Valid }}Verkauf:
                      {{.SellDate.Time.Format "02.01.2006 15:04"}} {{else}}Verkauf: --{{end}}</small>
                  </div>
                </div>
                <div class="col-lg-4 d-flex align-items-center">
                  <div class="">
                    {{ if and (not .SellDate.Valid) }}
                    <form action="/tradingstoriesmanuellsell" method="POST" class="form-horizontal">
                      <div style="margin-left: 12px;">
                        <input type="hidden" name="tradeid" id="tradeid" value="{{.ID}}" />
                        <input type="hidden" name="tradingstoryid" id="tradingstoryid" value="{{$tradingstoryId}}" />
                        <input type="submit" id="submitGotoManuellSellTrades" name="submitGotoManuellSellTrades"
                          value="Manuell verkaufen" class="btn btn-primary" />
                      </div>
                    </form>
                    {{ end }}
                    
                  </div>
                </div>
              </div>
            </div>

          {{end}}

        {{else}}
          <p>Diese TradingStory hat noch keine Trades ausgeführt.</p>
        {{end}}

      </div>
    </div>
  </div>
</section>

<script language=javascript>

    function OnChange(dropdown) {
      var myindex = dropdown.selectedIndex
      var SelValue = dropdown.options[myindex].value
      var baseURL = "/trades?ts=" + SelValue
        top.location.href = baseURL;
        
        return true;
    }
</script>

{{ template "layout-bottom" .}}

{{end}}